# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.2

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64

# Include any dependencies generated for this target.
include src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/compiler_depend.make

# Include the progress variables for this target.
include src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/progress.make

# Include the compile flags for this target's objects.
include src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/flags.make

src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/codegen:
.PHONY : src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/codegen

src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o: src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/flags.make
src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o: /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5/src/osgPlugins/tiff/ReaderWriterTIFF.cpp
src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o: src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o"
	cd /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff && /usr/gcc/14/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o -MF CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o.d -o CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o -c /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5/src/osgPlugins/tiff/ReaderWriterTIFF.cpp

src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.i"
	cd /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff && /usr/gcc/14/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5/src/osgPlugins/tiff/ReaderWriterTIFF.cpp > CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.i

src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.s"
	cd /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff && /usr/gcc/14/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5/src/osgPlugins/tiff/ReaderWriterTIFF.cpp -o CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.s

# Object files for target osgdb_tiff
osgdb_tiff_OBJECTS = \
"CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o"

# External object files for target osgdb_tiff
osgdb_tiff_EXTERNAL_OBJECTS =

lib/osgPlugins-3.6.5/osgdb_tiff.so: src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/ReaderWriterTIFF.cpp.o
lib/osgPlugins-3.6.5/osgdb_tiff.so: src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/build.make
lib/osgPlugins-3.6.5/osgdb_tiff.so: lib/libosgDB.so.3.6.5
lib/osgPlugins-3.6.5/osgdb_tiff.so: lib/libosgUtil.so.3.6.5
lib/osgPlugins-3.6.5/osgdb_tiff.so: /usr/lib/64/libtiff.so
lib/osgPlugins-3.6.5/osgdb_tiff.so: lib/libosg.so.3.6.5
lib/osgPlugins-3.6.5/osgdb_tiff.so: lib/libOpenThreads.so.3.3.1
lib/osgPlugins-3.6.5/osgdb_tiff.so: /usr/lib/amd64/libm.so
lib/osgPlugins-3.6.5/osgdb_tiff.so: /usr/lib/amd64/libdl.so
lib/osgPlugins-3.6.5/osgdb_tiff.so: /usr/lib/amd64/libz.so
lib/osgPlugins-3.6.5/osgdb_tiff.so: /usr/lib/amd64/libGL.so
lib/osgPlugins-3.6.5/osgdb_tiff.so: src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX shared module ../../../lib/osgPlugins-3.6.5/osgdb_tiff.so"
	cd /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/osgdb_tiff.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/build: lib/osgPlugins-3.6.5/osgdb_tiff.so
.PHONY : src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/build

src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/clean:
	cd /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff && $(CMAKE_COMMAND) -P CMakeFiles/osgdb_tiff.dir/cmake_clean.cmake
.PHONY : src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/clean

src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/depend:
	cd /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64 && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5 /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/OpenSceneGraph-OpenSceneGraph-3.6.5/src/osgPlugins/tiff /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64 /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff /data/jenkins/workspace/oi-encumbered/components/encumbered/openscenegraph/build/amd64/src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/DependInfo.cmake "--color=$(COLOR)" osgdb_tiff
.PHONY : src/osgPlugins/tiff/CMakeFiles/osgdb_tiff.dir/depend

